<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CCOBFeeType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgCCOBFeeType extends DgBookingFeeType
{
    /**
     * The MinOBFee
     * Meta informations extracted from the WSDL
     * - use: required
     * @var float
     */
    public $MinOBFee;
    /**
     * The MaxOBFee
     * Meta informations extracted from the WSDL
     * - use: required
     * @var float
     */
    public $MaxOBFee;
    /**
     * Constructor method for CCOBFeeType
     * @uses DgCCOBFeeType::setMinOBFee()
     * @uses DgCCOBFeeType::setMaxOBFee()
     * @param float $minOBFee
     * @param float $maxOBFee
     */
    public function __construct($minOBFee = null, $maxOBFee = null)
    {
        $this
            ->setMinOBFee($minOBFee)
            ->setMaxOBFee($maxOBFee);
    }
    /**
     * Get MinOBFee value
     * @return float
     */
    public function getMinOBFee()
    {
        return $this->MinOBFee;
    }
    /**
     * Set MinOBFee value
     * @param float $minOBFee
     * @return \dgsoft\StructType\DgCCOBFeeType
     */
    public function setMinOBFee($minOBFee = null)
    {
        $this->MinOBFee = $minOBFee;
        return $this;
    }
    /**
     * Get MaxOBFee value
     * @return float
     */
    public function getMaxOBFee()
    {
        return $this->MaxOBFee;
    }
    /**
     * Set MaxOBFee value
     * @param float $maxOBFee
     * @return \dgsoft\StructType\DgCCOBFeeType
     */
    public function setMaxOBFee($maxOBFee = null)
    {
        $this->MaxOBFee = $maxOBFee;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgCCOBFeeType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
